APIV1
Add a webhook endpoint
Add a webhook endpoint to subscribe to events on your merchant account
AuthorizationBearer <token>
Merchant JWT bearer token
In: header
Scope: developers.create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/merchant-webhooks" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "url": "https://www.randomurl.com", "events": [ "CHECKOUT_CREATED" ] }'{
"merchantId": "string",
"id": "string",
"signingKey": "string",
"name": "string",
"url": "string",
"events": [
"CHECKOUT_CREATED"
],
"disabled": true,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"http_status_code": 100,
"moreInfo": "https://www.randomurl.com",
"name": "string",
"detail": "string",
"instance": "/pets/dogs/123",
"property1": null,
"property2": null
}